import 'reflect-metadata';
import dbConnection from 'typeorm-fastify-plugin';
import { User } from './entity/User';
import { Post } from './entity/Post';
import { FastifyInstance } from 'fastify';


export async function registerDb(fastify: FastifyInstance) {
  fastify.register(dbConnection, {
    type: 'sqlite',
    database: 'database.sqlite',
    entities: [User, Post],
    synchronize: true,
    logging: true,
  })
}
